#!/bin/sh
########################################################################
#             (c) Copyright 2003 Lexmark International, Inc.           #
#                        All rights reserved                           #
########################################################################
#                                                                      #
# This command calls the appropriate mkqueue command.                  #
#                                                                      #
########################################################################


PRODUCT_LINK="/usr/ibmprint"
SCRIPTS_DIR="${PRODUCT_LINK}/bin/.scripts"

#-- load the shared script
. ${SCRIPTS_DIR}/shared

#-- initialize variables:
initialize user

if   [ "${PRT_SUBSYSTEM}" = "BSD" ];then
     ${SCRIPTS_DIR}/bsd_mkqueue.sh ${*}
elif [ "${PRT_SUBSYSTEM}" = "SYSTEM_V" ];then
     ${SCRIPTS_DIR}/sysv_mkqueue.sh ${*}
fi
exit ${?}
